## vulkansink vulkansink |

## Properties

gboolean | force-aspect-ratio | Read / Write
GstFraction | pixel-aspect-ratio | Read / Write

## Types and Values

struct | GstVulkanSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstVulkanSink

## Description

vulkansink renders video frames to a drawable on a local or remote display using Vulkan.

## Synopsis

### Element Information

plugin | vulkan
author | Matthew Waters <matthew@centricular.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(memory:VulkanBuffer), format=(string){ RGBA, BGRA, RGB, BGR }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVulkanSink

    struct GstVulkanSink;

## Property Details

### The `“force-aspect-ratio”` property

      “force-aspect-ratio”       gboolean

When enabled, scaling will respect original aspect ratio.

Flags: Read / Write

Default value: TRUE

### The `“pixel-aspect-ratio”` property

      “pixel-aspect-ratio”       GstFraction

The pixel aspect ratio of the device.

Flags: Read / Write